shishi_key_from_string(3)

NAME
shishi_key_from_string - API function

SYNOPSIS
#include <shishi.h>

int shishi_key_from_string(Shishi * handle, int32_t type, const char * password, size_t passwordlen, const char * salt, size_t saltlen, const char * parameter, Shishi_key ** outkey);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

int32_t type
    type of key.

const char * password
    input array containing password.

size_t passwordlen
    length of input array containing password.

const char * salt
    input array containing salt.

size_t saltlen
    length of input array containing salt.

const char * parameter
    input array with opaque encryption type specific information.

Shishi_key ** outkey
    pointer to structure that will hold newly created key information

DESCRIPTION
Create a new Key information structure, and set the key type and key value using shishi_string_to_key(). KEY contains a newly allocated structure only if this function is successful.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.